package ru.yandex.qe.dispenser.domain.dao.bot.service.reserve;

import java.util.Collections;
import java.util.Set;

import org.jetbrains.annotations.NotNull;

import ru.yandex.qe.dispenser.domain.Campaign;
import ru.yandex.qe.dispenser.domain.Service;

public class BotServiceReserveFilterImpl implements BotServiceReserveFilter {

    private Set<Service> services = Collections.emptySet();
    private Set<Long> bigOrderIds = Collections.emptySet();
    private Set<Long> campaignIds = Collections.emptySet();
    private Set<Campaign.CampaignOrder> campaignBigOrders = Collections.emptySet();

    @Override
    @NotNull
    public Set<Service> getServices() {
        return services;
    }

    @Override
    @NotNull
    public Set<Long> getBigOrderIds() {
        return bigOrderIds;
    }

    @Override
    @NotNull
    public Set<Long> getCampaignIds() {
        return campaignIds;
    }

    @Override
    @NotNull
    public Set<Campaign.CampaignOrder> getCampaignBigOrders() {
        return campaignBigOrders;
    }

    public void setServices(@NotNull final Set<Service> services) {
        this.services = services;
    }

    public void setBigOrderIds(@NotNull final Set<Long> bigOrderIds) {
        this.bigOrderIds = bigOrderIds;
    }

    public void setCampaignIds(final Set<Long> campaignIds) {
        this.campaignIds = campaignIds;
    }

    public void setCampaignBigOrders(final Set<Campaign.CampaignOrder> campaignBigOrders) {
        this.campaignBigOrders = campaignBigOrders;
    }

}
